# Adhoq::DatabaseConnection
[![Build Status](https://travis-ci.org/esminc/adhoq-database_connection.svg?branch=master)](https://travis-ci.org/esminc/adhoq-database_connection)

Adhoq::DatabaseConnection is helper to use other database in [Adhoq](https://github.com/esminc/adhoq).

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'adhoq-database_connection'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install adhoq-database_connection

## Usage

```
Adhoq.configure do |c|
  c.database_connection = Adhoq::DatabaseConnection.new(
    'ReadOnlyDatabase',
    adapter: 'sqlite3',
    database: 'read_only_database',
  )
end
```

or

```
Adhoq.configure do |c|
  c.database_connection = Adhoq::DatabaseConnection.load_file(
    'ReadOnlyDatabase',
    'read_only_database_config.yaml',
  )
end
```


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake false` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/esminc/adhoq-database_connection. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

